summaryrefslogtreecommitdiff
path: root/tests/sampledata.sh
diff options
context:
space:
mode:
authorMathis Rosenhauer <rosenhauer@dkrz.de>2016-09-06 14:00:06 +0200
committerMathis Rosenhauer <rosenhauer@dkrz.de>2016-09-06 14:00:06 +0200
commit57a9e8395f8a7bf83c3bd793d96effe6c6e7cd6f (patch)
treeaa4014e30cf207780a57db032ad4fb9ae670b351 /tests/sampledata.sh
parent9bfaf0cf0944b178acb2e3782eef2622d61e2d77 (diff)
downloadlibaec-57a9e8395f8a7bf83c3bd793d96effe6c6e7cd6f.tar.gz
libaec-57a9e8395f8a7bf83c3bd793d96effe6c6e7cd6f.tar.bz2
libaec-57a9e8395f8a7bf83c3bd793d96effe6c6e7cd6f.zip
Use curl instead of wget to fetch remote data
Diffstat (limited to 'tests/sampledata.sh')
-rwxr-xr-xtests/sampledata.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/sampledata.sh b/tests/sampledata.sh
index 610f5e6..9296dab 100755
--- a/tests/sampledata.sh
+++ b/tests/sampledata.sh
@@ -8,11 +8,11 @@ LOWE=${CCSDS_DATA}/LowEntropyOptions
archive=121B2TestData.zip
archive_url=http://cwe.ccsds.org/sls/docs/SLS-DC/BB121B2TestData/$archive
if [ ! -f $archive ]; then
- type wget >/dev/null 2>&1 || {
- echo >&2 "wget not found. Please download $archive_url by other means and place it in tests.\nAborting."
+ type curl >/dev/null 2>&1 || {
+ echo >&2 "curl not found. Please download $archive_url by other means and place it in tests.\nAborting."
exit 1
}
- wget $archive_url || {
+ curl $archive_url -O || {
echo >&2 "Could not download $archive_url. Please download $archive by other means and place it in tests. Aborting."
exit 1
}